summaryrefslogtreecommitdiffstats
path: root/source/l/boost
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-01-01 20:33:50 +0000
committer Eric Hameleers <alien@slackware.com>2020-01-02 08:59:50 +0100
commit28ca6fabe4f11e839f66810fb111ae094e9aa79c (patch)
tree33697a2299d8b0ad19669e6efd5d82a158457e43 /source/l/boost
parentc01d25f478b3333130586a203534d27eeb6fe93d (diff)
downloadcurrent-28ca6fabe4f11e839f66810fb111ae094e9aa79c.tar.gz
current-28ca6fabe4f11e839f66810fb111ae094e9aa79c.tar.xz
Wed Jan 1 20:33:50 UTC 202020200101203350
Happy 2020 to the Slackware community! :-) a/aaa_terminfo-6.1_20191228-x86_64-1.txz: Upgraded. a/smartmontools-7.1-x86_64-1.txz: Upgraded. ap/sudo-1.8.30-x86_64-1.txz: Upgraded. d/python-setuptools-43.0.0-x86_64-1.txz: Upgraded. l/boost-1.72.0-x86_64-2.txz: Rebuilt. Recompiled against python3-3.8.1. Patched to fix missing boost/serialization/split_member.hpp include. This fixes the lightspark build at SBo. Thanks to orbea. l/ffmpeg-4.2.2-x86_64-1.txz: Upgraded. l/ncurses-6.1_20191228-x86_64-1.txz: Upgraded. l/netpbm-10.89.00-x86_64-1.txz: Upgraded. n/epic5-2.1.1-x86_64-4.txz: Rebuilt. Recompiled against python3-3.8.1. Thanks to Willy Sudiarto Raharjo for pointing this one out. n/whois-5.5.4-x86_64-1.txz: Upgraded. x/vulkan-sdk-1.1.130.0-x86_64-1.txz: Upgraded. extra/pure-alsa-system/ffmpeg-4.2.2-x86_64-1_alsa.txz: Upgraded.
Diffstat (limited to 'source/l/boost')
-rwxr-xr-xsource/l/boost/boost.SlackBuild7
-rw-r--r--source/l/boost/boost.f61dd9c5324d8439c52764c7aebaac7d0d4b7128.patch42
2 files changed, 47 insertions, 2 deletions
diff --git a/source/l/boost/boost.SlackBuild b/source/l/boost/boost.SlackBuild
index af1870beb..b311eccb6 100755
--- a/source/l/boost/boost.SlackBuild
+++ b/source/l/boost/boost.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=boost
VERSION=${VERSION:-$(echo $PKGNAM_*.tar.?z | rev | cut -f 3- -d . | rev | cut -f 2- -d _)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
PKG_VERSION=$(echo $VERSION | tr _ .) # Leave this alone
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -92,6 +92,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix missing `boost/serialization/split_member.hpp` include:
+zcat $CWD/boost.f61dd9c5324d8439c52764c7aebaac7d0d4b7128.patch.gz | patch -p2 --verbose || exit 1
+
# First build bjam, the boost build system:
./bootstrap.sh \
--with-toolset=gcc \
@@ -137,7 +140,7 @@ find . \
install || exit 1
# one more run to build libboost_python3..
-sed -e '/using python/ s@;@: /usr/include/python${PYTHON_VERSION/3*/${PYTHON_VERSION}m} ;@' \
+sed -e '/using python/ s@;@: /usr/include/python${PYTHON_VERSION/3*/${PYTHON_VERSION}} ;@' \
-i bootstrap.sh
./bootstrap.sh \
diff --git a/source/l/boost/boost.f61dd9c5324d8439c52764c7aebaac7d0d4b7128.patch b/source/l/boost/boost.f61dd9c5324d8439c52764c7aebaac7d0d4b7128.patch
new file mode 100644
index 000000000..0090bf042
--- /dev/null
+++ b/source/l/boost/boost.f61dd9c5324d8439c52764c7aebaac7d0d4b7128.patch
@@ -0,0 +1,42 @@
+From f61dd9c5324d8439c52764c7aebaac7d0d4b7128 Mon Sep 17 00:00:00 2001
+From: David Seifert <soap@gentoo.org>
+Date: Sat, 21 Dec 2019 14:02:13 +0100
+Subject: [PATCH] Fix missing `boost/serialization/split_member.hpp` include
+
+* As suggested by @glenfe and @robertramey in
+ https://github.com/boostorg/serialization/commit/c32a663c9963385430abc563f9c85f94d8da43a9#r36528430,
+ the `boost/serialization/split_member.hpp` include is not part
+ of the interface and consumers should not rely on it being
+ included.
+
+Fixes lightspark/lightspark#406
+Fixes https://bugs.gentoo.org/703294
+---
+ include/boost/bimap/detail/map_view_iterator.hpp | 1 +
+ include/boost/bimap/detail/set_view_iterator.hpp | 1 +
+ 2 files changed, 2 insertions(+)
+
+diff --git a/include/boost/bimap/detail/map_view_iterator.hpp b/include/boost/bimap/detail/map_view_iterator.hpp
+index 17d43cb..4af8484 100644
+--- a/include/boost/bimap/detail/map_view_iterator.hpp
++++ b/include/boost/bimap/detail/map_view_iterator.hpp
+@@ -22,6 +22,7 @@
+
+ #ifndef BOOST_BIMAP_DISABLE_SERIALIZATION
+ #include <boost/serialization/nvp.hpp>
++ #include <boost/serialization/split_member.hpp>
+ #endif // BOOST_BIMAP_DISABLE_SERIALIZATION
+
+ #include <boost/iterator/detail/enable_if.hpp>
+diff --git a/include/boost/bimap/detail/set_view_iterator.hpp b/include/boost/bimap/detail/set_view_iterator.hpp
+index e785ed7..b1e2dfa 100644
+--- a/include/boost/bimap/detail/set_view_iterator.hpp
++++ b/include/boost/bimap/detail/set_view_iterator.hpp
+@@ -22,6 +22,7 @@
+
+ #ifndef BOOST_BIMAP_DISABLE_SERIALIZATION
+ #include <boost/serialization/nvp.hpp>
++ #include <boost/serialization/split_member.hpp>
+ #endif // BOOST_BIMAP_DISABLE_SERIALIZATION
+
+ #include <boost/iterator/detail/enable_if.hpp>